petsc-3.4.2 2013-07-02

# DMSetDefaultSection

Set the PetscSection encoding the local data layout for the DM.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetDefaultSection(DM dm, PetscSection section)

### Input Parameters

| dm | - The DM
| section | - The PetscSection

Note: Any existing Section will be destroyed

### See Also

DMSetDefaultSection(), DMGetDefaultGlobalSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html